<div class="split-page">
  <div class="bar-header">
    <div class="center">
      <img src="/assets/images/icon.png" class="center">
    </div>
  </div>
  <ion-content class="page-content" >
    <div style="height: 100%" class="formstyle page-content actual-content">

      <form style="height: 100%;" name="loginForm" class=""
        [formGroup]="loginForm">
        <div class="mt-5 " style="overflow-y: scroll; padding-top: 16px;">
          <div class="forms">
            <div style="margin-bottom: 3%;margin-top: 3%;">
              <ion-input type="text" class="form-control" placeholder="Mobile" class="inputstyle actual-content"
                formControlName="mobnumber" pattern="^\d+$"
                maxlength="10" (ionFocus)="focusInput($event)"></ion-input>
            </div>
            <div *ngIf="loginForm.invalid && loginForm.errors">
              <div *ngIf="loginForm.errors['mobnumber']?.required">Mobile number is required</div>
              <div *ngIf="loginForm.errors['mobnumber']?.minLength">minlenght</div>
              <!-- <div *ngIf="loginForm.controls.mobnumber.errors.minLength">minLength is required</div> -->
            </div>
            <div *ngIf="">

            </div>


          </div>

          <div class="mt-5 forms " style="margin-bottom: 3%;">

            <div>
              <ion-input type="password" placeholder="Password" class="inputstyle" formControlName="password"
                (ionFocus)="focusInput($event)"></ion-input>
            </div>
          </div>



          <ion-row>
            <ion-col class="mt-4">
              <div class="forms">
                <div>
                  <button type="button" (click)="login()" class="ion-btn" [disabled]="loginForm.invalid">Login</button>
                </div>
              </div>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col class="mt-4">
              <span class="newuser-link" (click)="goToPlansPage()">New Here?</span>
            </ion-col>
            <ion-col class="mt-4">
              <span class="forgotpwd-link" (click)="goToForgotPwdPage()">Forgot Password?</span>
            </ion-col>
          </ion-row>
        </div>


      </form>
    </div>


  </ion-content>
</div>